Loading...
Searching...
No Matches
fourdst::config::utils Namespace Reference

## Classes

class | ANSIColor

## Functions

bool | supports_ansi_colors ()

## Variables

const bool | TERM_COLOR_SUPPORT = supports_ansi_colors()
ANSIColor | RED {"\033[31m"}
ANSIColor | GREEN {"\033[32m"}
ANSIColor | BLUE {"\033[34m"}
ANSIColor | CYAN {"\033[36m"}
ANSIColor | RESET {"\033[0m"}

## Function Documentation

## supports_ansi_colors()

bool fourdst::config::utils::supports_ansi_colors | ( |  | ) |

inline

## Variable Documentation

## BLUE

ANSIColor fourdst::config::utils::BLUE {"\033[34m"}

inline

## CYAN

ANSIColor fourdst::config::utils::CYAN {"\033[36m"}

inline

## GREEN

ANSIColor fourdst::config::utils::GREEN {"\033[32m"}

inline

## RED

ANSIColor fourdst::config::utils::RED {"\033[31m"}

inline

## RESET

ANSIColor fourdst::config::utils::RESET {"\033[0m"}

inline

## TERM_COLOR_SUPPORT

const bool fourdst::config::utils::TERM_COLOR_SUPPORT = supports_ansi_colors()

inline